Page MenuHomePhabricator

Pswikivoyage content pages counting issues
Closed, ResolvedPublic

Description

Hei Pashto Wikivoyage Statistics have counting problem, there is 389 content pages, but statistic only show 274 main space pages
look at the picture, and the link under picture

Event Timeline

Af420 created this task.Jul 8 2018, 4:45 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 8 2018, 4:45 AM
Af420 updated the task description. (Show Details)Jul 8 2018, 4:50 AM

Do not set a Due Date field if you do not plan to work on this task. Thanks.

TheDJ added a subscriber: TheDJ.Jul 13 2018, 1:01 PM

So what led you to conclude that you have over 360 content pages then ? Where is that number coming from ?

Af420 updated the task description. (Show Details)Jul 14 2018, 1:16 AM
Af420 added a comment.Jul 14 2018, 1:39 AM

@TheDJ I have counted the page several times, and I'm administrator there, so I actually know how many page there are, but the main Statistic doesn't show 30% of the pages:-)

Dcljr added a subscriber: Dcljr.EditedJul 17 2018, 1:41 AM

@Baloch007 Please see mw:Manual:Article_count and mw:Manual:$wgArticleCountMethod, if you haven't already.

Like most Wikimedia content wikis, pswikivoyage uses the default 'link' method of article counting and uses only the main namespace for content, meaning only pages in the list you linked to that contain at least one wikilink will count toward the article count. By repeatedly hitting "Random page", I found that 8 out of 30 (or 27% of the) pages I checked did not seem to have any wikilinks on them (category links, file/image links, and interwiki links don't count), so that seems to explain the perceived discrepancy.

If desired, this can be changed to count 'any' (non-epmty, non-redirect) page in the main namespace as an article, if the wiki community agrees on that. For some examples of tasks requesting such a change, see T172974 and T131771.

@Baloch007 Please see mw:Manual:Article_count and mw:Manual:$wgArticleCountMethod, if you haven't already.
Like most Wikimedia content wikis, pswikivoyage uses the default 'link' method of article counting and uses only the main namespace for content, meaning only pages in the list you linked to that contain at least one wikilink will count toward the article count. By repeatedly hitting "Random page", I found that 8 out of 30 (or 27% of the) pages I checked did not seem to have any wikilinks on them (category links, file/image links, and interwiki links don't count), so that seems to explain the perceived discrepancy.
If desired, this can be changed to count 'any' (non-epmty, non-redirect) page in the main namespace as an article, if the wiki community agrees on that. For some examples of tasks requesting such a change, see T172974 and T131771.

@Dcljr There is many pages in enwikipedia in which wiki link are not included, but statistic still counting them. Pswikivoyage have 390 pages without:

  • MediaWiki
  • Templates
  • Help
  • Categories
  • Modules
  • Gadgetes

But statistic only shows 279 pages from last month, I and other users added many pages in the last 30-35 days, but statistic didn't even changed from 279 to 280, although we have 390 pages. :-)

Reedy added a subscriber: Reedy.Jul 18 2018, 12:23 AM
reedy@deploy1001:~$ mwscript initSiteStats.php --wiki=pswikivoyage --update
Refresh Site Statistics

Counting total edits...6058
Counting number of articles...280
Counting total pages...720
Counting number of users...147
Counting number of images...0

Updating site statistics...done.

Done.
In T199041#4432365, @Baloch007 wrote:

There is many pages in enwikipedia in which wiki link are not included, but statistic still counting them.

For example?

By the way, the English Wikipedia is the worst wiki to check things like article count on, because articles are created, deleted, and changed so quickly there. There's literally no way you can be sure the statistics reflect reality on that wiki because "reality" is essentially never static.

Dcljr added a comment.Jul 18 2018, 1:09 AM

Well, something weird is going on at pswikivoyage, because AFAICT these two edits should have increased the article count, and these two edits should have decreased it.

And yet none of those edits changed the count at voy:ps:Special:Statistics at all.

These kinds of tests have always worked in the past when I've tried them on wikis where there's a supposed problem with article counting.

Af420 added a comment.Jul 20 2018, 2:50 AM
reedy@deploy1001:~$ mwscript initSiteStats.php --wiki=pswikivoyage --update
Refresh Site Statistics
Counting total edits...6058
Counting number of articles...394
Counting total pages...720
Counting number of users...147
Counting number of images...0
Updating site statistics...done.
Done.
reedy@deploy1001:~$ mwscript initSiteStats.php --wiki=pswikivoyage --update
Refresh Site Statistics
Counting total edits...6058
Counting number of articles...280
Counting total pages...720
Counting number of users...147
Counting number of images...0
Updating site statistics...done.
Done.

Counting total edits...6058
Counting number of articles...394
Counting total pages...720
Counting number of users...147
Counting number of images...0

Well, something weird is going on at pswikivoyage, because AFAICT these two edits should have increased the article count, and these two edits should have decreased it.
And yet none of those edits changed the count at voy:ps:Special:Statistics at all.
These kinds of tests have always worked in the past when I've tried them on wikis where there's a supposed problem with article counting.

There is 394 articles, and the statistics doesn't count anything new, there is a small issue i don't know what is that :-)

@Baloch007: When replying, please remove unneeded quotes to keep comments readable. Thanks.

@Baloch007 Please don't modify text inside a direct quote in a way that misrepresents what was actually posted. When Reedy recounted the wiki, it said 280 articles, not 394. And you don't need to keep simply stating that there are a certain number of articles on the wiki. That's not helping to diagnose the issue.

Based on what I am seeing in the page history of m:Wikivoyage/Table compared to voy:ps:Special:RecentChanges, it looks like 'edits' and 'pages' are updating fine.

The 'articles' count is harder to check, but it looks to me like at least one genuine new article (main-namespace page containing a [[wikilink]]) was created in a period of time between 12:00 and 17:53 UTC on July 20th, when the pswikivoyage article count increased by 2. So, that's superficial evidence that the count may be working right (I mean, at least the count increased at all). (BTW, not sure why EmausBot updated the Wikivoyage table at such a weird time as 17:53, but that's beside the point…)

The only way I have to check directly whether the 'articles' count is working right (being a regular wiki user, not an admin or sysop) is to add a [[wikilink]] to a page that doesn't already have one or create a new page containing a wikilink. Like I said, when I tried the first method, it didn't seme to work. The only way that would "make sense" is if the page already linked to another page on the same wiki. But I don't see any wikilinks on those pages I used for testing (the versions I was changing), either in the text of the pages themselves or in any templates they were transcluding. (This page was clearly not using any templates at all when I edited it. The only link there was an external one to Wikidata in the page "subtitle", which is on every page because it's part of the wiki's interface.)

I tried again on a similar page (that I didn't see any existing wikilinks on), and left it for almost 15 minutes. No change in article count.

Then I tried the second method of increasing the article count, creating a "test page" at voy:ps:Foo that contained a wikilink, and that did increase the article count. Bizarrely, though, removing the link did not decrease the article count again!

So… I've done about all I can do as a regular user. Someone else will have to investigate this matter further.

In summary: adding or removing wikilinks doesn't seem to be affecting the article count as expected. The only way that would make sense is if all ns0 pages were being counted as articles, which they clearly are not.

Verified my last statement by creating another test page in the main namespace, this time without a link. Didn't increase the article count. Subsequently adding a link didn't increase the count either. And, of course, removing that link afterwards didn't change the count. So now I've really done everything I can.

Reedy added a comment.Jul 26 2018, 1:00 AM

How long did you wait?

Dcljr added a comment.Jul 26 2018, 6:18 PM

How long did you wait?

In my last tests, about a minute each. In my earlier tests, up to 18 minutes (above I mistakenly said "almost 15 minutes").

If you're saying this may be a lag issue, I don't believe that for a second (or 18 minutes ;), because it would be an unbelievable coincidence: the one time I did observe a change in the article count (when I created the "Foo" article) it happened "immediately", like it always does on all other wikis I've performed similar tests on; and the times it didn't work never happened no matter how long I waited (between 1 and 18 minutes). It's simply not a credible explanation.

Of course, you could do your own tests and wait as long as you'd like....

Dcljr added a comment.EditedJul 26 2018, 6:55 PM

(Re: not credible) Unless the MW code is materially different in how it handles article-count changes based on adding or removing links to existing pages (intentionally delayed for some reason) versus those based on creating a new page (immediate).

BTW, similar tests I just did on bnwikivoyage (created on the same day as pswikivoyage), have shown the same results:

  • Added a link to a linkless ns0 page: no change in article count (standing at 514) within 6 minutes.
  • Created a new ns0 page with a link: immediate increase in article count (to 515).
  • Have waited 27 minutes now, for the first change to increase the article count, and it has not (still stands at 515, despite 2 changes that should have increased the count).

I shall now do the same tests on some other low-traffic wikis....

Edit: Note that the link to the on-wiki stats is no longer relevant due to intervening edits by other users.

Reedy added a comment.Jul 26 2018, 7:06 PM

I'm just checking. Because lag does happen, if you were waiting a very short amount of time and expecting it to update...

In my experience, this type of bug generally tends to be from a misunderstanding of what counts as a page or things along this line

I also don't believe that it's fine for the hundreds of other wikis we host, and not for one. That doesn't make sense either

Dcljr added a comment.EditedJul 26 2018, 7:22 PM

In my experience, this type of bug generally tends to be from a misunderstanding of what counts as a page or things along this line

Yeah, we already covered that. (T199041#4429275)

Similar results on rowikivoyage, except I had to start by creating my own linkless ns0 page, because I couldn't find an existing one on the wiki. (I forgot about Special:DeadendPages!)

  • Creating a new linkless ns0 page did not increase the count (906), as expected.
  • Adding a link to that page did not increase the count.
  • Creating a new ns0 page with link did increase the count (907) immediately.
  • 19 minutes after adding link in 2nd bullet point, count still stands at 907, even though it should be 908.

Something must have just recently changed, because I've done these kinds of add/remove-link test edits on, I don't know, at least 3 other newly-created wikis in the past, and it's always worked as expected (AFAIR).

Edit: Note that the wiki is still at 907, even hours later.

Dcljr added a comment.EditedJul 26 2018, 7:55 PM

And same for a Wikipedia, acewiki: count at 7443; add a link → no change in 7 minutes; create linked article → count up to 7444; wait 12 more minutes → no further increase due to added link. (For evidence, just see my contributions from today on that wiki. Be quick, though, as this wiki has an active admin, who may delete the page I created.)

Edit: Wiki is still at 7444, even hours later.

So, I guess this task should be retitled to something more general…

So, I guess this task should be retitled to something more general…

I've just filed a more general ticket as we're getting other reports

Reedy closed this task as Resolved.Aug 3 2018, 2:11 PM
Reedy claimed this task.

Underlying bug fixed. Stats updated

reedy@deploy1001:/srv/mediawiki-staging$ mwscript initSiteStats.php pswikivoyage --update
Refresh Site Statistics

Counting total edits...6146
Counting number of articles...281
Counting total pages...748
Counting number of users...170
Counting number of images...0

Updating site statistics...done.

Done.
Af420 added a comment.EditedAug 7 2018, 9:48 AM

Underlying bug fixed. Stats updated

reedy@deploy1001:/srv/mediawiki-staging$ mwscript initSiteStats.php pswikivoyage --update
Refresh Site Statistics
Counting total edits...6146
Counting number of articles...398
Counting total pages...748
Counting number of users...170
Counting number of images...0
Updating site statistics...done.
Done.

@Baloch007: Do not mis-quote previous comments. Read and understand the first sentence of T199041#4444268.

Dcljr added a comment.Aug 9 2018, 12:13 AM

OK, @Baloch007: The wiki is back to normal now. Adding a [[wikilink]] to a page in the main namespace (the article space) that doesn't already have any wikilinks will increase the article count. That is the way you can get the article count up to where you think it should be.

To be specific, this is an edit that increased the article count on the wiki. (I reverted my change afterwards, because I do not read the language, so I couldn't add a link that would be useful to readers. When you and other editors add wikilinks, they should, of course, be useful to readers.)

Af420 added a comment.EditedAug 20 2018, 8:21 PM

This task didn't helped us, We had 341 page but today it only shows 295, just to check it once again I made an article with wikilink, but but nothing happened, I know that no one deleted anything, because Im the only administrator there, and I have counted all the pages 1-2 times today, please help us :-)

  • The current article which I created:

https://ps.wikivoyage.org/wiki/بوئنوس_آيرز

Restricted Application changed the subtype of this task from "Deadline" to "Task". · View Herald TranscriptAug 20 2018, 8:21 PM

just to check it once again I made an article with wikilink, but but nothing happened

That is normal as there is caching. Stats are not updated in real-time.

Dcljr added a comment.EditedAug 21 2018, 2:44 AM
In T199041#4516390, @Baloch007 wrote:

I made an article with wikilink, but but nothing happened, [...]

  • The current article which I created:

https://ps.wikivoyage.org/wiki/بوئنوس_آيرز

That page does not contain any wikilinks. (!) It has 1 external link, 2 file links, 2 category links, and 2 template transclusions that (as far as I can tell) do not provide any wikilinks.

If you create an article that actually contains a wikilink — something [[like this]] that links to a page on the same wiki (not on another wiki or another website, not a file link to display a file, not a category link to put the page in a category) — it will increase the article count. I can almost guarantee it.

BTW, as for caching, mentioned by @Aklapper, I personally have never had a problem with that (when testing article counting on low-traffic wikis). Except for that short period of time (discussed above) where something was broken in the MediaWiki code, I've always seen the article count immediately respond to relevant edits. But, of course, there's always a chance that there could be a bit of lag. So, sure, give it a couple of minutes if nothing seems to happen immediately.

Finally, @Baloch007, the "page count" you keep quoting is apparently counting every page in the main namespace. As I have already explained, that is not how article counting works on your wiki. (Please read my comment at T199041#4429275 again.) Only pages in the main namespace that contain at least one wikilink will count as an "article" (also known as a "content page"). I don't know how else I can explain this.

In short: the problem is not with your wiki, it is with your understanding of how article counting works.

Dcljr added a comment.EditedAug 21 2018, 3:01 AM

At the risk of beating a dead horse: the page voy:ps:Special:DeadendPages lists all the pages on your wiki that do not link to any other pages on the same wiki in a way that would get them counted as articles. (The information there is cached, not "live", and so may be a little out-of-date.)

If you add some (well chosen) wikilinks to all those pages (not counting any pages in that list that are outside of the main namespace), the article count will be what you think it should be.